<div class="home-div">
    <h1 class="home-heading">This is trello homepage.</h1>
    <div class="list-div">
        <h2>List of Boards : </h2>
        <ul *ngFor="let board of boardsData">
            <li><a href="board/{{ board.id }}">{{ board.name }}</a></li>
        </ul>
    </div>
    <button class="new-board-button" (click)="toggleInputDiv()" *ngIf="showButton">Create new board</button>
    <div class="input-div" *ngIf="showInputDiv">
        <input type="text" class="input" (change)="handleInputChange($event)">
        <button class="submit-button" (click)="addNewBoard()">Submit</button>
    </div>
</div>
